list_add_tail
Prev | Doubly Linked Lists | Next

## Name

list_add_tail — add a new entry

## Synopsis

`void list_add_tail (` | struct list_head * | new,
| struct list_head * | head`)`;

## Arguments

`new`

  new entry to be added

`head`

  list head to add it before

## Description

Insert a new entry before the specified head. This is useful for implementing queues.

Prev | Up | Next
list_add | Home | list_add_rcu